Package jebl.evolution.align

# Class Align

java.lang.Object
jebl.evolution.align.Align

Direct Known Subclasses:
  `MaximalSegmentPair`, `NeedlemanWunsch`, `NeedlemanWunschAffine`, `NeedlemanWunschLinearSpace`, `NeedlemanWunschLinearSpaceAffine`, `NonOverlapMultipleLocalAffine`, `OldNeedlemanWunschAffine`, `OverlapAlign`, `SmithWaterman`, `SmithWatermanLinearSpace`, `SmithWatermanLinearSpaceAffine`

public abstract class Align extends Object

## Constructor Summary

Constructors
Constructor
Description
`Align(Scores sub, float d)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`doAlignment(String sq1, String sq2)`
Performs the alignment, abstract.
`void`
`doMatch(Output out, String msg)`
Print the score and the alignment
`void`
`doMatch(Output out, String msg, boolean outputFMatrix)`
Print the score, the F matrix, and the alignment
`String`
`formatScore(float val)`
`String[]`
`getMatch()`
`abstract float`
`getScore()`
`Traceback`
`next(Traceback tb)`
Get the next state in the traceback
`abstract void`
`prepareAlignment(String seq1, String seq2)`
Initialises the matrices for the alignment.
`abstract void`
`printf(Output out)`
Print the matrix (matrices) used to compute the alignment
`void`
`setGapOpen(float d)`
`void`
`setScores(Scores sub)`
`void`
`traceback(TracebackPlotter plotter)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Align

public Align(Scores sub, float d)

## Method Details

### doAlignment

public abstract void doAlignment(String sq1, String sq2)
Performs the alignment, abstract.

Parameters:
  `sq1` -
  `sq2` -

### prepareAlignment

public abstract void prepareAlignment(String seq1, String seq2)
Initialises the matrices for the alignment.

Parameters:
  `seq1` -
  `seq2` -

### setGapOpen

public void setGapOpen(float d)

### setScores

public void setScores(Scores sub)

### getMatch

public String[] getMatch()

Returns:
  two-element array containing an alignment with maximal score

### formatScore

public String formatScore(float val)

Parameters:
  `val` -
Returns:
  float value of string val

### doMatch

public void doMatch(Output out, String msg, boolean outputFMatrix)
Print the score, the F matrix, and the alignment

Parameters:
  `out` - output to print to
  `msg` - message printed at start
  `outputFMatrix` - print the score matrix

### traceback

public void traceback(TracebackPlotter plotter)

### doMatch

public void doMatch(Output out, String msg)
Print the score and the alignment

Parameters:
  `out` - output to print to
  `msg` - msg printed at the start

### next

public Traceback next(Traceback tb)
Get the next state in the traceback

Parameters:
  `tb` - current Traceback
Returns:
  next Traceback

### getScore

public abstract float getScore()

Returns:
  the score of the best alignment

### printf

public abstract void printf(Output out)
Print the matrix (matrices) used to compute the alignment

Parameters:
  `out` - output to print to